
U++ - Bug #1960

TheIDE crashes on macOS (Draw releated)

05/08/2019 05:51 PM - Zbigniew Rebacz

Status: Approved Start date: 05/08/2019

Priority: High Due date:

Assignee: Zbigniew Rebacz % Done: 0%

Category: Draw Estimated time: 0.00 hour

Target version: Release 2019.2 - NTH Spent time: 0.00 hour

Description

Unexpected crash on mac (Not know reproducible scenario). Here is stack trace:

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread

0   libsystem_kernel.dylib            0x00007fff7b56a2c6 __pthread_kill + 10

1   libsystem_pthread.dylib           0x00007fff7b61fbf1 pthread_kill + 284

2   libsystem_c.dylib                 0x00007fff7b4d46a6 abort + 127

3   theide                            0x00000001004dad5a Upp::Panic(char const*) + 154

4   libsystem_platform.dylib          0x00007fff7b614b5d _sigtramp + 29

5   ???                               0x00007ffeefb1e8a8 0 + 140732919834792

6   com.apple.CoreGraphics            0x00007fff4f3cde8f CGDataProviderRetainBytePtr + 283

7   com.apple.CoreGraphics            0x00007fff4f3fdb1c CGDataProviderRetainData + 69

8   com.apple.CoreGraphics            0x00007fff4f3fd9d6 CGAccessSessionCreate + 98

9   com.apple.CoreGraphics            0x00007fff4f3fb9c5 img_data_lock + 2857

10  com.apple.CoreGraphics            0x00007fff4f3f6fde CGSImageDataLock + 1258

11  com.apple.CoreGraphics            0x00007fff4f3f6a76 RIPImageDataInitializeShared + 207

12  com.apple.CoreGraphics            0x00007fff4f3f6608 RIPImageCacheGetRetained + 661

13  com.apple.CoreGraphics            0x00007fff4f3f6130 ripc_AcquireRIPImageData + 293

14  com.apple.CoreGraphics            0x00007fff4f3f5465 ripc_DrawImage + 704

15  com.apple.CoreGraphics            0x00007fff4f3f5196 CGContextDelegateDrawImage + 41

16  com.apple.CoreGraphics            0x00007fff4f3f4974 CGContextDrawImageWithOptions + 432

17  com.apple.CoreGraphics            0x00007fff4f3f47af CGContextDrawImage + 51

18  theide                            0x00000001007e2100 Upp::SystemDraw::SysDrawImageOp(int, int, Upp::Image const&, Upp::Color) +

384

19  theide                            0x00000001007233da Upp::Draw::DrawImageOp(int, int, int, int, Upp::Image const&, Upp::Rect_<int>

const&, Upp::Color) + 442

20  theide                            0x0000000100723ac1 Upp::Draw::DrawImage(int, int, Upp::Image const&) + 65

21  theide                            0x000000010081b621 Upp::RichPara::Paint(Upp::PageDraw&, Upp::RichContext, Upp::PaintInfo

const&, Upp::RichPara::Number const&, Upp::Bits const&, bool) const + 3745

22  theide                            0x000000010082469d Upp::RichTxt::Paint(Upp::PageDraw&, Upp::RichContext&, Upp::PaintInfo

const&) const + 1165

23  theide                            0x0000000100835c9f Upp::RichText::Paint(Upp::PageDraw&, Upp::PageY, Upp::Rect_<int> const&,

Upp::PaintInfo const&) const + 95

24  theide                            0x00000001003a0b5a Upp::RichTextView::Paint(Upp::Draw&) + 730

25  theide                            0x00000001007cf576 Upp::Ctrl::CtrlPaint(Upp::SystemDraw&, Upp::Rect_<int> const&) + 998

26  theide                            0x00000001007cf732 Upp::Ctrl::CtrlPaint(Upp::SystemDraw&, Upp::Rect_<int> const&) + 1442

27  theide                            0x00000001007cf732 Upp::Ctrl::CtrlPaint(Upp::SystemDraw&, Upp::Rect_<int> const&) + 1442

28  theide                            0x00000001007cf732 Upp::Ctrl::CtrlPaint(Upp::SystemDraw&, Upp::Rect_<int> const&) + 1442

29  theide                            0x00000001007cf732 Upp::Ctrl::CtrlPaint(Upp::SystemDraw&, Upp::Rect_<int> const&) + 1442

30  theide                            0x00000001007cf732 Upp::Ctrl::CtrlPaint(Upp::SystemDraw&, Upp::Rect_<int> const&) + 1442

31  theide                            0x00000001007cf732 Upp::Ctrl::CtrlPaint(Upp::SystemDraw&, Upp::Rect_<int> const&) + 1442

32  theide                            0x00000001007cf732 Upp::Ctrl::CtrlPaint(Upp::SystemDraw&, Upp::Rect_<int> const&) + 1442

33  theide                            0x00000001007d08b0 Upp::Ctrl::UpdateArea0(Upp::SystemDraw&, Upp::Rect_<int> const&, int) + 128
34  theide                            0x00000001007d0c85 Upp::Ctrl::UpdateArea(Upp::SystemDraw&, Upp::Rect_<int> const&) + 245

35  theide                            0x00000001007ed3c9 -[CocoView drawRect:] + 233

36  com.apple.AppKit                  0x00007fff4c765a6e _NSViewDrawRect + 66

37  com.apple.AppKit                  0x00007fff4c7642fc -[NSView(NSInternal)

_recursive:displayRectIgnoringOpacity:inContext:shouldChangeFontReferenceColor:stopAtLayerBackedViews:] + 1627

38  com.apple.AppKit                  0x00007fff4c763c8f __46-[NSView(NSLayerKitGlue) drawLayer:inContext:]_block_invoke + 192

39  com.apple.AppKit                  0x00007fff4c7639ec -[NSView(NSLayerKitGlue)

_drawViewBackingLayer:inContext:drawingHandler:] + 1720

40  com.apple.QuartzCore              0x00007fff59a035e2 CABackingStoreUpdate_ + 577

41  com.apple.QuartzCore              0x00007fff59a64b99 invocation function for block in CA::Layer::display_() + 53

42  com.apple.QuartzCore              0x00007fff59a027ec -[CALayer _display] + 1830

43  com.apple.AppKit                  0x00007fff4c762f9e _NSBackingLayerDisplay + 528

44  com.apple.AppKit                  0x00007fff4c7474a1 -[_NSViewBackingLayer display] + 811

45  com.apple.QuartzCore              0x00007fff59a01d1d CA::Layer::display_if_needed(CA::Transaction*) + 627

46  com.apple.QuartzCore              0x00007fff599eff42 CA::Context::commit_transaction(CA::Transaction*) + 342

47  com.apple.QuartzCore              0x00007fff599ef58a CA::Transaction::commit() + 588

48  com.apple.AppKit                  0x00007fff4c73e0a1 __65+[CATransaction(NSCATransaction)

NS_setFlushesWithDisplayRefresh]_block_invoke + 274

49  com.apple.CoreFoundation          0x00007fff4f013e88

__CFRUNLOOP_IS_CALLING_OUT_TO_AN_OBSERVER_CALLBACK_FUNCTION__ + 23

50  com.apple.CoreFoundation          0x00007fff4f013dbd __CFRunLoopDoObservers + 451

51  com.apple.CoreFoundation          0x00007fff4efb64d0 __CFRunLoopRun + 1136

52  com.apple.CoreFoundation          0x00007fff4efb5e0e CFRunLoopRunSpecific + 455

53  com.apple.HIToolbox               0x00007fff4e2a29db RunCurrentEventLoopInMode + 292

54  com.apple.HIToolbox               0x00007fff4e2a261d ReceiveNextEventCommon + 355

55  com.apple.HIToolbox               0x00007fff4e2a24a6 _BlockUntilNextEventMatchingListInModeWithFilter + 64

56  com.apple.AppKit                  0x00007fff4c63cffb _DPSNextEvent + 965

57  com.apple.AppKit                  0x00007fff4c63bd93 -[NSApplication(NSEvent)

_nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1361

58  theide                            0x00000001007e98ca Upp::Ctrl::ProcessEvent(bool*) + 346

59  theide                            0x00000001007e99f6 Upp::Ctrl::ProcessEvents(bool*) + 54

60  theide                            0x00000001007e9bf4 Upp::Ctrl::EventLoop(Upp::Ctrl*) + 292

61  theide                            0x00000001007de6f6 Upp::TopWindow::Run(bool) + 390

62  theide                            0x000000010019f95e GuiMainFn_() + 2926

63  theide                            0x000000010019ed41 main + 225

64  libdyld.dylib                     0x00007fff7b42f3d5 start + 1

History

#1 - 05/08/2019 06:00 PM - Zbigniew Rebacz

Here is next crash:

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread

0   libsystem_kernel.dylib            0x00007fff7b56a2c6 __pthread_kill + 10

1   libsystem_pthread.dylib           0x00007fff7b61fbf1 pthread_kill + 284

2   libsystem_c.dylib                 0x00007fff7b4d46a6 abort + 127

3   theide                            0x000000010b7675da Upp::Panic(char const*) + 154

4   libsystem_platform.dylib          0x00007fff7b614b5d _sigtramp + 29

5   ???                               0x00007ffee4893940 0 + 140732732619072
6   com.apple.CoreGraphics            0x00007fff4f3cde8f CGDataProviderRetainBytePtr + 283

7   com.apple.CoreGraphics            0x00007fff4f3fdb1c CGDataProviderRetainData + 69

8   com.apple.CoreGraphics            0x00007fff4f3fd9d6 CGAccessSessionCreate + 98

9   com.apple.CoreGraphics            0x00007fff4f3fb9c5 img_data_lock + 2857

10  com.apple.CoreGraphics            0x00007fff4f3f6fde CGSImageDataLock + 1258

11  com.apple.CoreGraphics            0x00007fff4f3f6a76 RIPImageDataInitializeShared + 207

12  com.apple.CoreGraphics            0x00007fff4f3f6608 RIPImageCacheGetRetained + 661

13  com.apple.CoreGraphics            0x00007fff4f3f6130 ripc_AcquireRIPImageData + 293

14  com.apple.CoreGraphics            0x00007fff4f3f5465 ripc_DrawImage + 704

15  com.apple.CoreGraphics            0x00007fff4f3f5196 CGContextDelegateDrawImage + 41

16  com.apple.CoreGraphics            0x00007fff4f3f4974 CGContextDrawImageWithOptions + 432

17  com.apple.CoreGraphics            0x00007fff4f3f47af CGContextDrawImage + 51

18  theide                            0x000000010ba6e980 Upp::SystemDraw::SysDrawImageOp(int, int, Upp::Image const&, Upp::Color) + 384

19  theide                            0x000000010b9afc5a Upp::Draw::DrawImageOp(int, int, int, int, Upp::Image const&, Upp::Rect_<int> const&,

Upp::Color) + 442

20  theide                            0x000000010b9b0341 Upp::Draw::DrawImage(int, int, Upp::Image const&) + 65

21  theide                            0x000000010baa7ea1 Upp::RichPara::Paint(Upp::PageDraw&, Upp::RichContext, Upp::PaintInfo const&,

Upp::RichPara::Number const&, Upp::Bits const&, bool) const + 3745

22  theide                            0x000000010bab0f1d Upp::RichTxt::Paint(Upp::PageDraw&, Upp::RichContext&, Upp::PaintInfo const&) const + 1165

23  theide                            0x000000010bac251f Upp::RichText::Paint(Upp::PageDraw&, Upp::PageY, Upp::Rect_<int> const&, Upp::PaintInfo

const&) const + 95

#2 - 08/03/2019 02:45 PM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#3 - 09/09/2019 02:48 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved

04/26/2025 3/3


